Opened 9 years ago

Closed 9 years ago

#350 closed defect (fixed)

Invalid html of news.xml

Reported by: DISABLED Owned by: Eche|on
Priority: minor Milestone: 0.8.2
Component: apps/console Version: 0.8.1
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

Listen in Überschriften "<h4><ul><li>" funktionieren nicht:
Warning: missing </h4> before <ul>

—- .i2p/docs/news.xml 2010-12-07 19:30:52.281511044 +0100
+++ .i2p/docs/news-new.xml 2010-12-07 19:39:30.989504995 +0100
@@ -3,7 +3,7 @@

<i2p.release version="0.8.1" date="2010/11/15" minVersion="0.6" />
—>
<div lang="en">

-<h4><ul><li>2010-11-15: <b>0.8.1 <a href="http://www.i2p2.i2p/release-0.8.1.html">Released</a></b></li></ul></h4>
+<ul><li>2010-11-15: <b>0.8.1 <a href="http://www.i2p2.i2p/release-0.8.1.html">Released</a></b></li></ul>

<p>
The 0.8.1 release contains the usual collection of bug fixes,
and a newly colorful i2psnark theme by dr|zed.

@@ -11,10 +11,10 @@

As usual, upgrading is recommended.
</p><p>
We have updated all our <a href="http://www.i2p2.i2p/how">technical specifications</a>

-and <a href="http://docs.i2p2.de/javadoc/">Javadocs</a>, check them out.
+and <a href="http://docs.i2p2.de/javadoc/">Javadocs</a>, check them out.</p>

-Please help grow the network!
-Say hello to the volunteers on the <a href="irc://127.0.0.1:6668/i2p-help">#i2p-help IRC channel</a>.
+<ul><li>Please help grow the network!</li></ul>
+<p>Say hello to the volunteers on the <a href="irc://127.0.0.1:6668/i2p-help">#i2p-help IRC channel</a>.

Give the
developers feedback on <a href="irc://127.0.0.1:6668/i2p">IRC #i2p</a> or <a href="http://forum.i2p">forum.i2p</a>
and <a href="http://www.i2p2.i2p/getinvolved.html">get involved</a>,

@@ -24,3 +24,3 @@

Please volunteer on <a href="irc://127.0.0.1:6668/i2p">IRC #i2p</a>.
</p>
</div>

Und wo ich schon mal hier bin, index.jsp:304:
Warning: missing <li>

</ul><br>
There are many more eepsites - just follow the links from the ones you see,
bookmark your favorites, and visit them often!
</li>

"</li>" is too much.

— tramp

Subtickets

Change History (5)

comment:1 Changed 9 years ago by zzz

Component: router/generalapps/console
Milestone: 0.8.2
Owner: set to zzz
Priority: trivialminor
Status: newaccepted
  • I'll fix the template installer/resources/news.xml and the files installer/resources/initialNews/*
  • echelon pls fix your hosted file

comment:2 Changed 9 years ago by zzz

Resolution: fixed
Status: acceptedclosed

news.xml and all initialNews.xml files fixed in 0.8.1-36-rc

comment:3 Changed 9 years ago by zzz

Resolution: fixed
Status: closedreopened

comment:4 Changed 9 years ago by zzz

Owner: changed from zzz to Eche|on
Status: reopenedassigned

assigning to echelon for his part

comment:5 Changed 9 years ago by Eche|on

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.